Loading...
Searching...
No Matches
MonitorQueue< DataT > Class Template Reference

`#include <pcl/outofcore/impl/monitor_queue.hpp>`

Inheritance diagram for MonitorQueue< DataT >:

## Public Member Functions

void | push (const DataT &newData)
DataT | pop ()

## Detailed Description

template<typename DataT>
class MonitorQueue< DataT >

Definition at line 11 of file monitor_queue.hpp.

## Member Function Documentation

## pop()

template<typename DataT>

DataT MonitorQueue< DataT >::pop | ( |  | ) |

inline

Definition at line 23 of file monitor_queue.hpp.

## push()

template<typename DataT>

void MonitorQueue< DataT >::push | ( | const DataT & | newData | ) |

inline

Definition at line 15 of file monitor_queue.hpp.

The documentation for this class was generated from the following file:

- pcl/outofcore/impl/monitor_queue.hpp